Subject: Re: [GROW] FIB scaling through configuration

From: Paul Francis <[email-masked]>
Date: Wed, 2 Jul 2008 11:24:59 -0400

For various reasons, I've decided to pursue virtual aggregation (VA) in a
different way.  Rather than do VA by reconfiguring legacy routers, I'm going
to publish a draft on how to change routers (including new BGP attributes) to
make this work.  Such an approach is much simpler for ISPs, and I have a
vendor that wants to work on this with me.  I'm going to post this draft to
IDR.  I'm still happy to talk about this in GROW, for instance to see if
there are folks in GROW that are nevertheless interested in the legacy
variant of VA, but at least for Dublin there won't be a GROW-specific draft.

PF

> -----Original Message-----
> From: Peter Schoenmaker [mailto:[email-masked]]
> Sent: Tuesday, June 10, 2008 1:19 PM
> To: Paul Francis
> Cc: [email-masked]
> Subject: Re: [GROW] FIB scaling through configuration
> 
> Paul,
> 
> We are interested in having you present your ideas at GROW.
> 
> I've been negligent in requesting a time slot for dublin.  If would be
> great for you to create a ID and discuss it on this list.  If we end
> up having a time slot in dublin, we can give you time to present.
> 
> peter
> 
> 
> On May 28, 2008, at 12:36 AM, Paul Francis wrote:
> 
> >
> > Gang,
> >
> > As some of you may know, my students and I have been working of a
> > way to
> > reduce DFZ FIB size in routers using a technique that requires only
> > modifications in router configuration...no software or protocol
> > changes are
> > needed...and that can be independently deployed by individual ISPs.
> > The
> > approach is called Virtual Aggregation (VA), because effectively
> > what it does
> > is create virtual (MPLS tunneled) networks around "virtual
> > prefixes" (i.e.
> > the collection of destinations within a large, otherwise
> > unaggregatable
> > prefix like a /7).  VA has a trade-off of increasing path-length and
> > load
> > with shrinking the FIB, but the increase is negligible for even a
> > 10x FIB
> > reduction, which can extend the lifetime of a router for years.
> >
> > I was giving a talk on this at the last RIPE, and Jari Arkko
> > suggested that I
> > should see if GROW is interested in pursuing this.  (It doesn't
> appear
> > appropriate for either RRG or IDR, in effect because those groups
> > are looking
> > at mechinisms that actually change routers.)
> >
> > The idea would be to have GROW flush out and improve the basic
> > approach we
> > have specified so far, with a goal of writing a best practices type
> > RFC.
> >
> > Details of VA can be found in
> > http://www.cs.cornell.edu/people/francis/va-wp.pdf.  I'd be very
> > willing to
> > turn this into an I-D that could be discussed in Dublin.
> >
> > I need to point out that Cornell owns IPR on this.  Though Cornell
> > hasn't
> > released an official statement about it, at worst it would be
> > offered on fair
> > and reasonable terms, and at best for free with no restrictions.
> >
> > Thanks,
> >
> > PF
> >
> > ps. We have an analogous piece of work that effectively eliminates
> > the FIB
> > for L3-VPN entries, but that is probably a topic for a different WG.
> >
> > _______________________________________________
> > GROW mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/grow

_______________________________________________
GROW mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/grow

---

From: Paul Francis <[email-masked]>
Date: Tue, 15 Jul 2008 11:30:43 -0400

Gang,

A few weeks ago I had posted a message about a configuration-only FIB scaling
approach, with an interest in discussing in GROW.  In the meantime, I
co-authored a draft that describes some simple router changes that would make
FIB scaling much easier to deploy (compared to the configuration-only
approach with legacy routers).  I'll be presenting this work at IDR in
Dublin, in case anyone is interested.

http://www.ietf.org/internet-drafts/draft-francis-idr-intra-va-00.txt

Thanks,

PF